DROP TABLE document_fieldsets;
ALTER TABLE document_type_fieldsets_link DROP COLUMN is_mandatory;
CREATE TABLE field_behaviour_options (behaviour_id int(11) NOT NULL default '0',field_id int(11) NOT NULL default '0',instance_id int(11) NOT NULL default '0',KEY behaviour_id (behaviour_id),KEY field_id (field_id),KEY instance_id (instance_id)) TYPE=InnoDB;
CREATE TABLE field_behaviours (id int(11) NOT NULL default '0',name char(255) NOT NULL default '',human_name char(100) NOT NULL default '',field_id int(11) NOT NULL default '0',PRIMARY KEY  (id),KEY field_id (field_id),KEY name (name)) TYPE=InnoDB;
CREATE TABLE field_orders (parent_field_id int(11) NOT NULL default '0',child_field_id int(11) NOT NULL default '0',fieldset_id int(11) NOT NULL default '0',UNIQUE KEY child_field (child_field_id),KEY parent_field (parent_field_id),KEY fieldset_id (fieldset_id)) TYPE=InnoDB;
CREATE TABLE field_value_instances (id int(11) NOT NULL default '0',field_id int(11) NOT NULL default '0',field_value_id int(11) NOT NULL default '0',behaviour_id int(11) default '0',PRIMARY KEY  (id),KEY field_id (field_id),KEY field_value_id (field_value_id),KEY behaviour_id (behaviour_id)) TYPE=InnoDB;
CREATE TABLE fieldsets (id int(11) NOT NULL default '0',name char(255) NOT NULL default '',namespace char(255) NOT NULL default '',mandatory tinyint(4) NOT NULL default '0',is_conditional tinyint(1) NOT NULL default '0',master_field int(11) default NULL,is_generic tinyint(1) NOT NULL default '0',UNIQUE KEY id (id),KEY is_generic (is_generic)) TYPE=InnoDB;
ALTER TABLE folders ADD COLUMN restrict_document_types tinyint(1) NOT NULL default '0';
ALTER TABLE metadata_lookup_tree DROP INDEX metadata_lookup_tree_parent;
ALTER TABLE metadata_lookup_tree DROP INDEX document_field_id;
DROP TABLE metadata_lookup_condition;
DROP TABLE metadata_lookup_condition_chain;
CREATE TABLE workflow_actions (workflow_id int(11) NOT NULL default '0',action_name char(255) NOT NULL default '',KEY workflow_id (workflow_id),KEY action_name (action_name)) TYPE=InnoDB;
CREATE TABLE workflow_documents (document_id int(11) NOT NULL default '0',workflow_id int(11) NOT NULL default '0',state_id int(11) NOT NULL default '0',PRIMARY KEY  (document_id),KEY workflow_id (workflow_id),KEY state_id (state_id)) TYPE=InnoDB;
CREATE TABLE workflow_state_actions (state_id int(11) NOT NULL default '0',action_name char(255) NOT NULL default '0',KEY state_id (state_id),KEY action_name (action_name)) TYPE=InnoDB;
CREATE TABLE workflow_state_transitions (state_id int(11) NOT NULL default '0',transition_id int(11) NOT NULL default '0') TYPE=InnoDB;
CREATE TABLE workflow_states (id int(11) NOT NULL default '0',workflow_id int(11) NOT NULL default '0',name char(255) NOT NULL default '',human_name char(100) NOT NULL default '',PRIMARY KEY  (id),KEY workflow_id (workflow_id),KEY name (name)) TYPE=InnoDB;
CREATE TABLE workflow_transitions (id int(11) NOT NULL default '0',workflow_id int(11) NOT NULL default '0',name char(255) NOT NULL default '',human_name char(100) NOT NULL default '',target_state_id int(11) NOT NULL default '0',guard_permission_id int(11) NOT NULL default '0',PRIMARY KEY  (id),UNIQUE KEY workflow_id_2 (workflow_id,name),KEY workflow_id (workflow_id),KEY name (name),KEY target_state_id (target_state_id),KEY guard_permission_id (guard_permission_id)) TYPE=InnoDB;
CREATE TABLE workflows (id int(11) NOT NULL default '0',name char(250) NOT NULL default '',human_name char(100) NOT NULL default '',start_state_id int(11) default NULL,PRIMARY KEY  (id),UNIQUE KEY name (name),KEY start_state_id (start_state_id)) TYPE=InnoDB;
DROP TABLE zseq_document_fieldsets;
CREATE TABLE zseq_document_type_fieldsets_link (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE zseq_field_behaviours (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE zseq_field_value_instances (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE zseq_fieldsets (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
DROP TABLE zseq_metadata_lookup_condition;
DROP TABLE zseq_metadata_lookup_condition_chain;
CREATE TABLE zseq_workflow_states (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE zseq_workflow_transitions (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE zseq_workflows (id int(10) unsigned NOT NULL auto_increment,PRIMARY KEY  (id)) TYPE=MyISAM;
